Pythonのpyenvがmac(Sierra 10.12.3)に入らない


というわけで、PythonとかGoも同じスクリプト仲間?ということでちょいちょい書くかもしれません。
で、Python2をずっと使ってたんですが、2も3も同居させたい時にはやはりpyenvじゃないでしょうか。
こういうものがある時点でカオスですがw

$ brew install pyenv

でpyenvを入れたはいいけど、

$ pyenv install 3.5.1

で、

 BUILD FAILED (OS X 10.12.3 using python-build 20160130)

と怒られてしまいました。あるあるですけど、Sierraにした際に、Xcode Toolsのアップデートが必要だったということで。これ、一緒にアップデートしてくれないかな?と思うのですが。。

$ xcode-select –install

私はこれで無事pyenvをインストールできました。

関連する記事:

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre lang="" line="" escaped="" cssfile="">